Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # type_from_x_iterator Struct Template Reference [Type Factory Metafunctions] `#include <metafunctions.hpp>` List of all members. ## Detailed Description ### template<typename XIterator> struct boost::gil::type_from_x_iterator< XIterator > Given a pixel iterator defining access to pixels along a row, returns the types of the corresponding built-in step_iterator, xy_locator, image_view.
## Public Types
typedef memory_based_step_iterator< XIterator > | step_iterator_t
typedef memory_based_2d_locator< step_iterator_t > | xy_locator_t
typedef image_view< xy_locator_t > | view_t
The documentation for this struct was generated from the following file: metafunctions.hpp